Saltar para o conteúdo principal
PATCH
/
v1
/
deals
/
{id}
Atualizar negocio
curl --request PATCH \
  --url https://api.vendaze.com/v1/deals/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "currency_id": "<string>",
  "price_cts": 1,
  "owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source": "<string>",
  "forecast_date": "2023-12-25"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Acme Corp Annual Contract",
    "pipeline_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "price_cts": 250000,
    "currency_id": "BRL",
    "owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "source": "referral",
    "forecast_date": "2026-12-31",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.vendaze.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

OAuth 2.1 access token.

Parâmetros de caminho

id
string<uuid>
obrigatório

UUID of the resource.

Corpo

application/json
name
string
pipeline_id
string<uuid>
stage_id
string<uuid>
currency_id
string
price_cts
integer
Intervalo necessário: x >= 0
owner_user_id
string<uuid> | null
source
string | null
forecast_date
string<date> | null

Resposta

Negocio atualizado com sucesso.

data
object